# ChangeLog for net-dialup/freeradius
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-dialup/freeradius/ChangeLog,v 1.67 2007/04/12 20:21:31 opfer Exp $

  12 Apr 2007; Christian Faulhammer <opfer@gentoo.org>
  freeradius-1.1.6.ebuild:
  stable x86, security bug 174292

  12 Apr 2007; <welp@gentoo.org> freeradius-1.1.6.ebuild:
  Stable on amd64 wrt bug 174292

*freeradius-1.1.6 (12 Apr 2007)

  12 Apr 2007; Alin Năstac <mrness@gentoo.org>
  +files/freeradius-1.1.6-qa-fixes.patch, +files/freeradius-1.1.6-ssl.patch,
  +files/freeradius-1.1.6-versionless-la-files.patch, metadata.xml,
  +freeradius-1.1.6.ebuild:
  Version bump wrt security bug #174292.

*freeradius-1.1.5-r1 (22 Mar 2007)

  22 Mar 2007; Alin Năstac <mrness@gentoo.org>
  files/freeradius-1.1.5-qa-fixes.patch, -freeradius-1.1.5.ebuild,
  +freeradius-1.1.5-r1.ebuild:
  Remove disabled database drivers from the stable rlm_sql drivers (#171723).
  Autotools cleanup. More QA fixes.

*freeradius-1.1.5 (17 Mar 2007)

  17 Mar 2007; Alin Năstac <mrness@gentoo.org>
  +files/freeradius-1.1.5-nostrip.patch,
  +files/freeradius-1.1.5-qa-fixes.patch, +files/freeradius-1.1.5-ssl.patch,
  +files/freeradius-1.1.5-versionless-la-files.patch,
  +freeradius-1.1.5.ebuild:
  Version bump (#171050). Add firebird USE flag.

  20 Jan 2007; Alin Năstac <mrness@gentoo.org> freeradius-1.1.4.ebuild:
  Remove firebird support (#162860).

*freeradius-1.1.4 (18 Jan 2007)

  18 Jan 2007; Alin Năstac <mrness@gentoo.org>
  +files/freeradius-1.1.4-nostrip.patch, +files/freeradius-1.1.4-ssl.patch,
  +files/freeradius-1.1.4-versionless-la-files.patch,
  -freeradius-1.1.3-r1.ebuild, freeradius-1.1.3-r2.ebuild,
  +freeradius-1.1.4.ebuild:
  Stable on amd64 and x86. Version bump.

*freeradius-1.1.3-r2 (14 Dec 2006)

  14 Dec 2006; Alin Năstac <mrness@gentoo.org>
  +files/freeradius-1.1.3-ssl.patch, +freeradius-1.1.3-r2.ebuild:
  Link libeap with -lssl (#158062).

  23 Nov 2006; Francesco Riosa <vivo@gentoo.org> freeradius-1.1.3-r1.ebuild:
  dev-db/mysql => virtual/mysql

  18 Nov 2006; Alin Nastac <mrness@gentoo.org>
  -files/freeradius-1.1.1-libradius_install.patch,
  -files/freeradius-1.1.1-versionless-la-files.patch,
  -files/freeradius-1.1.1-whole-archive-gentoo.patch, -files/radwatch.init,
  -freeradius-1.1.1-r1.ebuild:
  Remove obsolete version.

*freeradius-1.1.3-r1 (21 Oct 2006)

  21 Oct 2006; Alin Nastac <mrness@gentoo.org> files/radius.init,
  -freeradius-1.1.3.ebuild, +freeradius-1.1.3-r1.ebuild:
  Fix typo in init script (#152191). Stable on x86 and amd64.

*freeradius-1.1.3 (09 Sep 2006)

  09 Sep 2006; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.1.3-nostrip.patch,
  +files/freeradius-1.1.3-versionless-la-files.patch, files/radius.init,
  +files/radwatch.init, freeradius-1.1.1-r1.ebuild,
  +freeradius-1.1.3.ebuild:
  Version bump (#145587). Improve init script - the new version don't use
  radwatch (#142289).

  16 Aug 2006; Jon Hood <squinky86@gentoo.org> freeradius-1.1.1-r1.ebuild:
  Work with multilib-strict, bug #143870.

  14 May 2006; Alin Nastac <mrness@gentoo.org>
  -files/freeradius-1.1.0-dict-attr-sizeof.patch,
  -files/freeradius-1.1.0-libeap-fPIC.patch,
  -files/freeradius-1.1.0-whole-archive-gentoo.patch,
  -freeradius-1.1.0-r1.ebuild:
  Remove old version.

  21 Apr 2006; Alin Nastac <mrness@gentoo.org> freeradius-1.1.0-r1.ebuild,
  freeradius-1.1.1-r1.ebuild:
  Remove pkg_preinst() call from src_install(). See bug #130732.

  17 Apr 2006; Alin Nastac <mrness@gentoo.org> freeradius-1.1.1-r1.ebuild:
  Remove old versioned .la symlinks in pkg_setup instead pkg_postinst (bug
  129228 comment 4).

*freeradius-1.1.1-r1 (09 Apr 2006)

  09 Apr 2006; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.1.1-versionless-la-files.patch,
  -freeradius-1.1.1.ebuild, +freeradius-1.1.1-r1.ebuild:
  Remove versioned .la symlinks left on filesystem by previous versions and
  modify makefiles to install .la files without the versioned symlinks
  (#129228).

*freeradius-1.1.1 (31 Mar 2006)

  31 Mar 2006; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.1.1-libradius_install.patch,
  +files/freeradius-1.1.1-whole-archive-gentoo.patch,
  +freeradius-1.1.1.ebuild:
  Version bump wrt security bug #127229.

  12 Mar 2006; Alin Nastac <mrness@gentoo.org>
  -files/freeradius-1.0.5-user-password-ha1.patch,
  -files/freeradius-1.0.5-whole-archive-gentoo.patch,
  -freeradius-1.0.5-r3.ebuild, freeradius-1.1.0-r1.ebuild:
  Remove obsolete version. Quote strings containing env vars.

  28 Feb 2006; Alin Nastac <mrness@gentoo.org> freeradius-1.1.0-r1.ebuild:
  Add debug USE flag (#124367). Mark as stable on amd64 and x86.

*freeradius-1.1.0-r1 (28 Jan 2006)

  28 Jan 2006; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.1.0-dict-attr-sizeof.patch, -freeradius-1.1.0.ebuild,
  +freeradius-1.1.0-r1.ebuild:
  Fix dictionary reading error on amd64 (#119367).

*freeradius-1.1.0 (26 Jan 2006)

  26 Jan 2006; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.1.0-libeap-fPIC.patch,
  +files/freeradius-1.1.0-whole-archive-gentoo.patch,
  -freeradius-1.0.5.ebuild, -freeradius-1.0.5-r2.ebuild,
  +freeradius-1.1.0.ebuild:
  Remove obsolete versions. Version bump, with -amd64 keyword (#119367).

  12 Jan 2006; Alin Nastac <mrness@gentoo.org> files/radius.init:
  Use kill -HUP to reload configuration instead start-stop-daemon --stop
  --signal HUP.

  20 Dec 2005; Alin Nastac <mrness@gentoo.org> freeradius-1.0.5-r3.ebuild:
  Stable on x86 and amd64.

*freeradius-1.0.5-r3 (13 Nov 2005)

  13 Nov 2005; Alin Nastac <mrness@gentoo.org> +freeradius-1.0.5-r3.ebuild:
  Fix amd64 compilation error of rlm_eap module by adding -fPIC to CFLAGS (#111909).

*freeradius-1.0.5-r2 (01 Nov 2005)

  01 Nov 2005; Alin Nastac <mrness@gentoo.org> files/radius.init,
  -freeradius-1.0.5-r1.ebuild, +freeradius-1.0.5-r2.ebuild:
  Create directory /var/run/radiusd at service startup (#111023).

*freeradius-1.0.5-r1 (16 Oct 2005)

  16 Oct 2005; Alin Nastac <mrness@gentoo.org>
  -files/freeradius-1.0.4-whole-archive-gentoo.patch,
  +files/freeradius-1.0.5-user-password-ha1.patch, files/radius.init,
  -freeradius-1.0.4.ebuild, +freeradius-1.0.5-r1.ebuild:
  Remove old test version. Change init script for working with user-defined
  user/group (#108866). Add support for hashed User-Password under control of
  the frxp useflag (#109003).

  04 Oct 2005; Alin Nastac <mrness@gentoo.org>
  -files/freeradius-1.0.2-sql-escape.patch,
  -files/freeradius-1.0.2-whole-archive-gentoo.patch,
  -freeradius-1.0.2-r5.ebuild, freeradius-1.0.4.ebuild,
  freeradius-1.0.5.ebuild:
  Remove obsolete version. Remove COPYRIGHT, INSTALL and LICENSE files from docs.

*freeradius-1.0.5 (24 Sep 2005)

  24 Sep 2005; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.0.5-whole-archive-gentoo.patch,
  +freeradius-1.0.5.ebuild:
  Version bump (#106994).

*freeradius-1.0.4 (23 Jun 2005)

  23 Jun 2005; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.0.4-whole-archive-gentoo.patch, files/radius.init,
  +freeradius-1.0.4.ebuild:
  Version bump. Add reload command to init script.

  22 May 2005; Alin Nastac <mrness@gentoo.org>
  -files/freeradius-1.0.1-gcc34.patch, files/radius.init,
  -freeradius-1.0.1.ebuild, freeradius-1.0.2-r5.ebuild:
  Stop radius daemon on upgrade/removal (#93152). Remove obsolete version.

*freeradius-1.0.2-r5 (19 May 2005)

  19 May 2005; Alin Nastac <mrness@gentoo.org> files/radius.init,
  -freeradius-1.0.2-r2.ebuild, -freeradius-1.0.2-r4.ebuild,
  +freeradius-1.0.2-r5.ebuild:
  Use radwatch in init script for preventing potential DoS (#91736).

*freeradius-1.0.2-r4 (19 May 2005)

  19 May 2005; Alin Nastac <mrness@gentoo.org>
  files/freeradius-1.0.2-sql-escape.patch, -freeradius-1.0.2-r3.ebuild,
  +freeradius-1.0.2-r4.ebuild:
  Use the upstream patch for bug #91736.

  10 May 2005; Alin Nastac <mrness@gentoo.org> freeradius-1.0.2-r3.ebuild:
  Stable on x86 wrt bug #91736.

*freeradius-1.0.2-r3 (07 May 2005)

  07 May 2005; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.0.2-sql-escape.patch, +freeradius-1.0.2-r3.ebuild:
  Fixed SQL injection & buffer overflow vulnerabilities(#91736). Add support
  for Novell eDirectory through edirectory USE flag (#90171). Add udpfromto USE flag.

  14 Apr 2005; Alin Nastac <mrness@gentoo.org> freeradius-1.0.1.ebuild,
  -freeradius-1.0.2-r1.ebuild, freeradius-1.0.2-r2.ebuild:
  Remove old test version and inter-block with cistronradius and gnuradius packages.

  12 Apr 2005; Jason Wever <weeve@gentoo.org> freeradius-1.0.2-r2.ebuild:
  Added ~sparc keyword.

*freeradius-1.0.2-r2 (15 Mar 2005)

  15 Mar 2005; Alin Nastac <mrness@gentoo.org> +freeradius-1.0.2-r2.ebuild:
  Install SQL schemas into doc dir(#85345).

*freeradius-1.0.2-r1 (14 Mar 2005)

  14 Mar 2005; Alin Nastac <mrness@gentoo.org> files/radius.init,
  +freeradius-1.0.2-r1.ebuild, -freeradius-1.0.2.ebuild:
  Fix owner of log file (#84341).

  02 Mar 2005; Alin Nastac <mrness@gentoo.org>
  +files/freeradius-1.0.2-whole-archive-gentoo.patch,
  freeradius-1.0.2.ebuild:
  Fix broken build when /usr/lib/libshadow.la exists (#82212).

*freeradius-1.0.2 (28 Feb 2005)

  28 Feb 2005; Alin Nastac <mrness@gentoo.org> +files/radius.conf,
  +files/radius.init, -files/0.9/radius.conf, -files/0.9/radius.init,
  freeradius-1.0.1.ebuild, +freeradius-1.0.2.ebuild:
  Bump version. Fix kerberos module when compiled against app-crypt/heimdal
  (#77613).

  17 Oct 2004; David Holm <dholm@gentoo.org> freeradius-1.0.1.ebuild:
  Added to ~ppc.

  29 Sep 2004; Daniel Black <dragonheart@gentoo.org>
  -freeradius-0.9.3-r1.ebuild, -freeradius-0.9.3.ebuild:
  removed due to being vulnerable to DoS attacks and or tagged
  attribute handling problems. Thanks solar (via email)

  23 Sep 2004; Karol Wojtaszek <sekretarz@gentoo.org>
  +files/freeradius-1.0.1-gcc34.patch, freeradius-1.0.1.ebuild:
  Fixed gcc-3.4 compile issues. Bug #64836

  20 Sep 2004; Heinrich Wendel <lanius@gentoo.org> freeradius-1.0.1.ebuild:
  mark stable on x86

*freeradius-1.0.1 (20 Sep 2004)

  20 Sep 2004; Heinrich Wendel <lanius@gentoo.org> +freeradius-1.0.1.ebuild:
  security update, bug #60587

  20 Sep 2004; Heinrich Wendel <lanius@gentoo.org> freeradius-0.9.3-r1.ebuild,
  freeradius-0.9.3.ebuild:
  change to virtual/krb5

  01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  freeradius-0.9.3-r1.ebuild, freeradius-0.9.3.ebuild:
  virtual/glibc -> virtual/libc

  18 Jun 2004; Bart Lauwers <blauwers@gentoo.org> freeradius-0.9.3-r1.ebuild,
  freeradius-0.9.3.ebuild:
  Fix use for snmp to use virual/snmp as it should

  09 Jun 2004; Aron Griffis <agriffis@gentoo.org> freeradius-0.9.3-r1.ebuild,
  freeradius-0.9.3.ebuild:
  Fix use invocation

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> freeradius-0.9.3-r1.ebuild:
  Add inherit eutils

*freeradius-0.9.3-r1 (03 Apr 2004)

  03 Apr 2004; Heinrich Wendel <lanius@gentoo.org> freeradius-0.9.3-r1.ebuild,
  files/freeradius-0.9.3-rlm_smb.patch:
  bug #34424, security patch

  06 Mar 2004; Heinrich Wendel <lanius@gentoo.org> freeradius-0.8.1.ebuild,
  freeradius-0.9.0.ebuild, freeradius-0.9.3.ebuild:
  fix bug #43318 (needs automake 2.1); remove old versions

  08 Dec 2003; Heinrich Wendel <lanius@gentoo.org> freeradius-0.9.0.ebuild,
  freeradius-0.9.3.ebuild:
  fixed touch .keep -> keepdir

  24 Nov 2003; <rphillips@gentoo.org> freeradius-0.9.3.ebuild:
  changed ebuild to copy over the init files correctly

*freeradius-0.9.3 (21 Nov 2003)

  21 Nov 2003; <rphillips@gentoo.org> freeradius-0.9.3.ebuild:
  Version bump. Fixes #33989

  19 Nov 2003; Heinrich Wendel <lanius@gentoo.org> metadata.xml:
  metadata

*freeradius-0.9.0 (20 Aug 2003)
  
  15 Sep 2003; Ryan Phillips <rphillips@gentoo.org> freeradius-0.9.0.ebuild :
  Repoman fixes

  20 Aug 2003; Ryan Phillips <rphillips@gentoo.org> freeradius-0.9.0.ebuild :
  Added Oliver Graf's version bump, and tweaked init.d and conf.d scripts

*freeradius-0.8.1 (22 May 2003)
  22 May 2003; Chuck Brewer <killian@gentoo.org>:
  Added manifest.

*freeradius-0.8.1 (11 Dec 2002)

  11 Dec 2002; Ryan Phillips <rphillips@gentoo.org> freeradius-0.8.1.ebuild :
  Added David Mallwitz's suggestions. #8940

*freeradius-0.8.1 (11 Dec 2002)

  11 Dec 2002; Ryan Phillips <rphillips@gentoo.org> ChangeLog :
  Initial import. Ebuild submitted by Ernesto. Fixes #8940
